# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/3/30
# import datetime
import datetime
import os
import random
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from main.download_kuaishou import KuaiShou


def kuaishou_dev_job():
    """
    执行测试环境快手脚本
    """
    while True:
        # 当天下载及上传的视频数：20 条
        if len(KuaiShou.download_video_list) >= 10:
            Common.logger().info("已下载视频数：{}".format(len(KuaiShou.download_video_list)))
            time.sleep(1800)
        else:
            Common.logger().info("开始抓取快手视频")
            time.sleep(1)
            # 抓取符合规则的视频，写入 kuaishou_feeds.txt
            KuaiShou.kuaishou_get_recommend()
            # 下载视频，并上传
            KuaiShou.kuaishou_download_play_video("dev")
            # 随机睡眠1-3s
            time.sleep(random.randint(1, 3))

        # 删除冗余日志
        Common.del_logs()


def main_dev():
    while True:
        while True:
            main_time = datetime.datetime.now()
            if main_time.hour >= 10:
                kuaishou_dev_job()
            else:
                break


def kuaishou_prod_job():
    """
    执行正式环境快手脚本
    """
    while True:
        # 当天下载及上传的视频数：150 条
        if len(KuaiShou.download_video_list) >= 150:
            Common.logger().info("已下载视频数：{}".format(len(KuaiShou.download_video_list)))
            time.sleep(1800)
        else:
            Common.logger().info("开始抓取快手视频")
            time.sleep(1)
            # 抓取符合规则的视频，写入 kuaishou_feeds.txt
            KuaiShou.kuaishou_get_recommend()
            # 下载视频，并上传
            KuaiShou.kuaishou_download_play_video("prod")
            # 随机睡眠1-3s
            time.sleep(random.randint(1, 3))

        # 删除冗余日志
        Common.del_logs()


def main_prod():
    """
    正式环境主函数
    """
    while True:
        while True:
            main_time = datetime.datetime.now()
            if main_time.hour >= 10:
                kuaishou_prod_job()
            else:
                break


if __name__ == "__main__":
    # main_dev()
    main_prod()
